Koozali.org formerly Contribs.org

Unable to install Git

Offline beast

  • *
  • 217
Unable to install Git
« on: July 22, 2021, 01:06:48 PM »
Hi All

First I execute the following:

https://wiki.koozali.org/Epel#tab=For_SME_10_x

/sbin/e-smith/db yum_repositories set epel repository \
Name 'Epel - EL7' \
BaseURL 'http://download.fedoraproject.org/pub/epel/7/$basearch' \
MirrorList 'http://mirrors.fedoraproject.org/mirrorlist?repo=epel-7&arch=$basearch' \
EnableGroups no \
GPGCheck yes \
GPGKey http://dl.fedoraproject.org/pub/epel/RPM-GPG-KEY-EPEL \
Exclude perl-Razor-Agent,pwauth \
Visible no \
status disabled


/sbin/e-smith/db yum_repositories set epel-testing repository \
Name 'Epel - EL7' \
BaseURL 'http://download.fedoraproject.org/pub/epel/testing/7/$basearch' \
MirrorList 'http://mirrors.fedoraproject.org/mirrorlist?repo=testing-epel7&arch=$basearch' \
EnableGroups no \
GPGCheck yes \
GPGKey http://dl.fedoraproject.org/pub/epel/RPM-GPG-KEY-EPEL \
Exclude perl-Razor-Agent \
Visible no \
status disabled

After adding it to the database updating the configuration file is required by issuing:

signal-event yum-modify

Then

yum --enablerepo=smecontribs,epel install smeserver-git smeserver-gitweb smeserver-gitweb-theme

And it tells me that

smeserver-git, smeserver-gitweb and smeserver-gitweb-theme is not available?

How to proceed?

/Benny



Offline TerryF

  • grumpy old man
  • *
  • 1,453
Re: Unable to install Git
« Reply #1 on: July 22, 2021, 03:32:37 PM »
Most likely, no definetly due to the contribs NOT being migrated to SME10 as yet
--
qui scribit bis legit

Offline beast

  • *
  • 217
Re: Unable to install Git
« Reply #2 on: July 22, 2021, 03:36:24 PM »
Most likely, no definetly due to the contribs NOT being migrated to SME10 as yet

So all systems in smetest is not possible to install: https://wiki.koozali.org/Category:Contrib

Offline Jean-Philippe Pialasse

  • *
  • 1,782
  • aka Unnilennium
    • http://smeserver.pialasse.com
Re: Unable to install Git
« Reply #3 on: July 22, 2021, 08:19:22 PM »
So all systems in smetest is not possible to install: https://wiki.koozali.org/Category:Contrib


yes it is possible.
as you point they are in smetest not smecontribs, so you have to enable this particular repo to install from …..

Offline TerryF

  • grumpy old man
  • *
  • 1,453
Re: Unable to install Git
« Reply #4 on: July 22, 2021, 09:51:08 PM »
I should have chosen my words better :-) , been migrated has not been tested and verified, which means you become the  tester, the bug raised for the migration to sme10 is below please report results there.

https://bugs.koozali.org/show_bug.cgi?id=11285

Added: looking at the bug you can see the work Brianr has put in to this time..
« Last Edit: July 22, 2021, 09:53:06 PM by TerryF »
--
qui scribit bis legit

Offline beast

  • *
  • 217
Re: Unable to install Git
« Reply #5 on: July 23, 2021, 08:23:49 AM »
Great - will report all findings. Do not know why I did not think about enabling smetest myself ;-)

Offline TerryF

  • grumpy old man
  • *
  • 1,453
Re: Unable to install Git
« Reply #6 on: July 23, 2021, 10:44:22 AM »
 :hammer:
--
qui scribit bis legit